Imports System
Imports System.ComponentModel
Imports System.Collections.Generic
Imports System.Diagnostics
Imports System.Text

Imports DevExpress.ExpressApp
Imports DevExpress.ExpressApp.SystemModule
Imports DevExpress.ExpressApp.CloneObject
Imports DevExpress.ExpressApp.Actions
Imports DevExpress.Persistent.Base

Public Class GeneralStocks_VC
	Inherits DevExpress.ExpressApp.ViewController

	Public Sub New()
		MyBase.New()
		InitializeComponent()
		RegisterActions(components) 
    End Sub

    Protected Overrides Sub OnActivated()
        MyBase.OnActivated()

        If View.Id = "CustomsTariffs_LookupListView" Then
            Frame.GetController(Of NewObjectViewController).Active.SetItemValue("", False)
            Frame.GetController(Of CloneObjectViewController).Active.SetItemValue("", False)
        End If
    End Sub

    Protected Overrides Sub OnDeactivated()
        MyBase.OnDeactivated()
        If View.Id = "CustomsTariffs_LookupListView" Then
            Frame.GetController(Of NewObjectViewController).Active.SetItemValue("", True)
            Frame.GetController(Of CloneObjectViewController).Active.SetItemValue("", True)
        End If
    End Sub
End Class
